備忘録 MacBook Pro 環境構築5

2019.02.11 開発環境セットアップ

1.Homebrew

開発絡みでいろいろなものをインストールするのに使うということで、セットアップ。いわゆる、Mac用のパッケージマネージャー。

公式サイト:https://brew.sh/index_ja

インストールは下記のコマンドだけ。

/usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"

途中で、一度パスワードの入力を求められるので、入力して続行。コマンドラインツールのインストールが必要だったようで、それもhomebrewインストール時に自動でダウンロード&インストールされる。

2.phpbrew

macでPHPのバージョンを切り替えるのに使う。

macOS Mojaveでは、PHP 7.1.23が入っていたが、いまだにレンサバなどで多いPHP5系や、最新のPHPを適宜切り替えて使えるようにする。

下記コマンドでインストール&セットアップ

curl -L -O https://github.com/phpbrew/phpbrew/raw/master/phpbrew 
chmod +x phpbrew
sudo mv phpbrew /usr/local/bin/
phpbrew init
echo "[[ -e ~/.phpbrew/bashrc ]] && source ~/.phpbrew/bashrc" >> ~/.bashrc
source ~/.phpbrew/bashrc

下記コマンドで、PHPの指定のバージョンをインストールする。

phpbrew -d install --test 7.2.15 +default
(以下出力)
homebrew prefix '/usr/local/Cellar/libxml2/2.9.9_2' doesn't exist. you forgot to install?
homebrew prefix '/usr/local/Cellar/mhash/0.9.9.9' doesn't exist. you forgot to install?
homebrew prefix '/usr/local/Cellar/mcrypt/2.6.8' doesn't exist. you forgot to install?
Homebrew prefix "/usr/local/Cellar/pcre/8.42" doesn't exist
homebrew prefix '/usr/local/Cellar/readline/8.0.0' doesn't exist. you forgot to install?
homebrew prefix '' doesn't exist. you forgot to install?
prefix /usr/local/Cellar/openssl/1.0.2q doesn't exist.Compiling with openssl=shared, please install libssl-dev or openssl header files if you need

なんか、いろいろとパッケージが足りないようだ。なので、homebrewでインストールしていく。

brew install libxml2
echo 'export PATH="/usr/local/opt/libxml2/bin:$PATH"' >> ~/.bash_profile
(.bash_profileに追記)
export LDFLAGS="-L/usr/local/opt/libxml2/lib"
export CPPFLAGS="-I/usr/local/opt/libxml2/include"
brew install mhash
brew install mcrypt
brew install pcre
brew install bzip2
echo 'export PATH="/usr/local/opt/bzip2/bin:$PATH"' >> ~/.bash_profile
(.bash_profileに追記)
export LDFLAGS="-L/usr/local/opt/bzip2/lib:$LDFLAGS"
export CPPFLAGS="-I/usr/local/opt/bzip2/include:$CPPFLAGS"

と、ここまでやったが、いっこうにphpbrewのエラーがなくならない。

configure: error: Please reinstall the BZip2 distribution

このエラーが消えない。brew reinstall してもダメ。brew link bzip2 –forceしてもダメ。.bash_profileをいろいろいじってもダメ。

Refusing to link macOS-provided software: bzip2

こんな警告が出てくるので、何かしらパスがおかしいのかもしれないが・・・

ちょっとハマりそうなので、phpbrewを使わずに、homebrewでPHPをインストールしてみる。

brew install php@7.2
echo 'export PATH="/usr/local/opt/php@7.2/bin:$PATH"' >> ~/.bash_profile
echo 'export PATH="/usr/local/opt/php@7.2/sbin:$PATH"' >> ~/.bash_profile
(ターミナル再起動)

すると、あっさりインストール成功し、php -v でも、7.2の方を見に行ってくれている。

何やったんや・・・phpbrewは。

3.PHP oAuth拡張

pecl install oauth
Please follow and like us:
コメントはまだありません

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です